org.fourthline.cling.model.types

## Class DLNADoc

- java.lang.Object
- - org.fourthline.cling.model.types.DLNADoc

-     public class DLNADoc
      extends Object

  Representing the DLNA document and its version.

  Someone ignored the device and service type construct of UPnP and invented a new and of course much better device type/version * construct.

  Author:
    Christian Bauer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DLNADoc.Version`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Pattern` | `PATTERN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DLNADoc(String devClass, DLNADoc.Version version)`
    `DLNADoc(String devClass, String version)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getDevClass()`
    `String` | `getVersion()`
    `int` | `hashCode()`
    `String` | `toString()`
    `static DLNADoc` | `valueOf(String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PATTERN

          public static final Pattern PATTERN

  - ### Constructor Detail

    - #### DLNADoc

          public DLNADoc(String devClass,
                         String version)

    - #### DLNADoc

          public DLNADoc(String devClass,
                         DLNADoc.Version version)

  - ### Method Detail

    - #### getDevClass

          public String getDevClass()

    - #### getVersion

          public String getVersion()

    - #### valueOf

          public static DLNADoc valueOf(String s)
                                 throws InvalidValueException

      Throws:
        `InvalidValueException`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.